com.google.gwt.dom.builder.shared

## Interface TableColBuilder

- All Superinterfaces:
    ElementBuilderBase<TableColBuilder>
  All Known Implementing Classes:
    DomTableColBuilder, HtmlTableColBuilder

      public interface TableColBuilder
      extends ElementBuilderBase<TableColBuilder>

  Builds an tablecol element.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `TableColBuilder` | `align(java.lang.String align)` Horizontal alignment of cell data in column.
    `TableColBuilder` | `ch(java.lang.String ch)` Alignment character for cells in a column.
    `TableColBuilder` | `chOff(java.lang.String chOff)` Offset of alignment character.
    `TableColBuilder` | `span(int span)` Indicates the number of columns in a group or affected by a grouping.
    `TableColBuilder` | `vAlign(java.lang.String vAlign)` Vertical alignment of cell data in column.
    `TableColBuilder` | `width(java.lang.String width)` Default column width.

    - ### Methods inherited from interface com.google.gwt.dom.builder.shared.ElementBuilderBase

      `attribute, attribute, className, dir, draggable, end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, html, id, isChildElementSupported, isEndTagForbidden, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, style, tabIndex, text, title, trustedStart`

- - ### Method Detail

    - #### align

          TableColBuilder align(java.lang.String align)

      Horizontal alignment of cell data in column.
      See Also:
        W3C HTML Specification

    - #### ch

          TableColBuilder ch(java.lang.String ch)

      Alignment character for cells in a column.
      See Also:
        W3C HTML Specification

    - #### chOff

          TableColBuilder chOff(java.lang.String chOff)

      Offset of alignment character.
      See Also:
        W3C HTML Specification

    - #### span

          TableColBuilder span(int span)

      Indicates the number of columns in a group or affected by a grouping.
      See Also:
        W3C HTML Specification

    - #### vAlign

          TableColBuilder vAlign(java.lang.String vAlign)

      Vertical alignment of cell data in column.
      See Also:
        W3C HTML Specification

    - #### width

          TableColBuilder width(java.lang.String width)

      Default column width.
      See Also:
        W3C HTML Specification